﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .RadGrid_WebBlue .rgSelectedRow
        {
            background: #828282 0 -3900px repeat-x url('Grid/sprite.gif') !important;
            color: #fff;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="GridManage">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="GridManage" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="GridManage" runat="server" AllowPaging="True" AllowSorting="True"
            AutoGenerateColumns="false" AllowMultiRowSelection="True" ShowStatusBar="True"
            Skin="WebBlue" GridLines="None" Width="960px" OnNeedDataSource="GridManage_NeedDataSource"
            PageSize="25" GroupingEnabled="False">
            <AlternatingItemStyle BackColor="Silver" />
            <MasterTableView TableLayout="Fixed" DataKeyNames="CustomerID">
                <Columns>
                    <telerik:GridClientSelectColumn HeaderStyle-Width="25px" DataTextField="CONSTITUENTID"
                        Visible="False">
                        <HeaderStyle Width="20px" HorizontalAlign="Center" />
                    </telerik:GridClientSelectColumn>
                    <telerik:GridTemplateColumn UniqueName="CheckBoxTemplateColumn">
                        <HeaderTemplate>
                            <asp:CheckBox ID="headerChkbox" AutoPostBack="True" runat="server"></asp:CheckBox></HeaderTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="CheckBox1" AutoPostBack="True" runat="server"></asp:CheckBox></ItemTemplate>
                        <HeaderStyle HorizontalAlign="Center" Width="25px" />
                        <ItemStyle Wrap="False" />
                    </telerik:GridTemplateColumn>
                    <telerik:GridBoundColumn DataField="CustomerID" HeaderText="Last" UniqueName="CustomerID"
                        SortExpression="CustomerID">
                        <HeaderStyle Width="100px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ContactName" HeaderText="First" UniqueName="ContactName"
                        SortExpression="ContactName">
                        <HeaderStyle Width="100px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CompanyName" HeaderText="Org" UniqueName="CompanyName"
                        SortExpression="CompanyName">
                        <HeaderStyle Width="50px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Address" HeaderText="Address" UniqueName="Address"
                        SortExpression="Address">
                        <HeaderStyle Width="150px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="City" HeaderText="City" UniqueName="City" SortExpression="City">
                        <HeaderStyle Width="100px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Country" HeaderText="ST" UniqueName="Country"
                        SortExpression="Country">
                        <HeaderStyle Width="30px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Region" HeaderText="Zip" UniqueName="Region"
                        SortExpression="Region">
                        <HeaderStyle Width="50px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Phone" HeaderText="Email" UniqueName="Phone"
                        SortExpression="Phone">
                        <HeaderStyle Width="100px" HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" Wrap="False" />
                    </telerik:GridBoundColumn>
                </Columns>
                <PagerStyle Mode="NextPrevNumericAndAdvanced"></PagerStyle>
            </MasterTableView>
            <SelectedItemStyle BackColor="#CCCCCC" ForeColor="Black" BorderStyle="Outset" />
            <HeaderStyle Font-Bold="False" Font-Size="Small" />
            <ClientSettings EnableRowHoverStyle="true" AllowColumnsReorder="True">
                <Selecting AllowRowSelect="True" />
            </ClientSettings>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
